﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Common;
using Common.Commands;
using Plugins.mail;

namespace Plugins
{
    class ZoneFollower : AbstractResponseEventHandler
    {
        private readonly MailSender _mailSender;
        public ZoneFollower()
        {
            _mailSender = MailSender.GetInstance();
        }

        public override void EventOccured(IResponse response, IReciever r)
        {
            if (response.Command == ResponseCommand.ZoneOpen)
            {
                _mailSender.SendMail("Alarm - ZoneOpen", response.Date + "\r\nZone opened: " + response.Data.Substring(1));

            }
            else if (response.Command == ResponseCommand.ZoneRestored)
            {
                _mailSender.SendMail("Alarm - ZoneRestored", response.Date + "\r\nZone restored (closed): " + response.Data.Substring(1));
            }

            else if (response.Command == ResponseCommand.ZoneAlarm)
            {
                _mailSender.SendMail("Alarm - ZoneAlarm", response.Date + "\r\nAlarm at zone: " + response.Data.Substring(1));

            }
            else if (response.Command == ResponseCommand.ZoneTamper)
            {
                _mailSender.SendMail("Alarm - ZoneTamper", response.Date + "\r\nTamper at zone: " + response.Data.Substring(1));
            }
            else if (response.Command == ResponseCommand.ZoneFault)
            {
                _mailSender.SendMail("Alarm - ZoneFault", response.Date + "\r\nFault at zone: " + response.Data.Substring(1));
            }


        }

    }
}
